Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.code.generator.wrapping
Class AbstractWrappedInstance

    java.lang.Object
      edu.stanford.smi.protege.code.generator.wrapping.AbstractWrappedInstance

All Implemented Interfaces:
  Localizable, Disposable, Serializable

    public abstract class AbstractWrappedInstance

extends Object
implements Localizable, Serializable, Disposable

See Also:
  Serialized Form

Constructor Summary
`protected` | `AbstractWrappedInstance()`
`protected` | `AbstractWrappedInstance(Instance instance)`

Method Summary
`protected void` | `addSlotValue(Slot slot, Object value)`
`
`<X> X`
` | `as(Class<? extends X> javaInterface)`
`boolean` | `canAs(Class<?> javaInterface)`
`void` | `delete()`
`void` | `dispose()`
`boolean` | `equals(Object obj)`
`KnowledgeBase` | `getKnowledgeBase()`
`String` | `getName()`
`Instance` | `getWrappedProtegeInstance()`
`int` | `hashCode()`
`protected boolean` | `hasSlotValues(Slot slot)`
`void` | `localize(KnowledgeBase kb)`
`protected void` | `removeSlotValue(Slot slot, Object value)`
`protected void` | `setSlotValue(Slot slot, Object value)`
`protected void` | `setSlotValues(Slot slot, Collection<?> values)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractWrappedInstance

    protected AbstractWrappedInstance(Instance instance)

### AbstractWrappedInstance

    protected AbstractWrappedInstance()

Method Detail

### getWrappedProtegeInstance

    public Instance getWrappedProtegeInstance()

### getKnowledgeBase

    public KnowledgeBase getKnowledgeBase()

### getName

    public String getName()

### hasSlotValues

    protected boolean hasSlotValues(Slot slot)

### addSlotValue

    protected void addSlotValue(Slot slot,
                                Object value)

### removeSlotValue

    protected void removeSlotValue(Slot slot,
                                   Object value)

### setSlotValue

    protected void setSlotValue(Slot slot,
                                Object value)

### setSlotValues

    protected void setSlotValues(Slot slot,
                                 Collection<?> values)

### canAs

    public boolean canAs(Class<?> javaInterface)

### as

    public <X> X as(Class<? extends X> javaInterface)

### delete

    public void delete()

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### localize

    public void localize(KnowledgeBase kb)

  Specified by:
    `localize` in interface `Localizable`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.